<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * ダウンロード販売ファイル 削除
 *
 * @package     Admin.Itemmanage.Download.Delete
 * @author      netnee <mail@example.com>
 * @access      public
 */
class Admin_Itemmanage_Download_Delete
{
    // コンポーネント
    var $actionChain;
    var $db_down;
    var $lg_down;
    
    // in 
    var $itemcd;
    var $structcd;
    var $updcnt;
    
    // out
    var $result;

    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Itemmanage_Download_Deleteが実行されました", "Admin_Itemmanage_Download_Delete#execute");
        
        // ファイル存在フラグfalseに
        $check = $this->lg_down->setFileExistence($this->itemcd, $this->structcd, false, $this->updcnt);

        // DB 更新できた
        if(is_bool($check)) {
            
            // 登録済は現在の登録ファイル削除
            $this->lg_down->delItemFile($this->itemcd, $this->structcd);

            $loc = htmlspecialchars($_SERVER["SCRIPT_NAME"], ENT_QUOTES) ."?action=admin_itemmanage_download_upload_form".
                   "&itemcd=". $this->itemcd ."&structcd=". $this->structcd;
            header("location: ". $loc);
            exit;
        }
        
        $log->debug("debug : error", "Admin_Itemmanage_Download_Upload_Complete#execute");
        return 'failed';
    }

}
?>
